Index: linux/include/asm-alpha/siginfo.h
diff -u linux/include/asm-alpha/siginfo.h:1.1.1.3 linux/include/asm-alpha/siginfo.h:1.1.2.4
--- linux/include/asm-alpha/siginfo.h:1.1.1.3	Tue Jun 27 19:31:42 2000
+++ linux/include/asm-alpha/siginfo.h	Fri Jul 21 20:39:07 2000
@@ -85,7 +87,7 @@
 #define __SI_FAULT	(3 << 16)
 #define __SI_CHLD	(4 << 16)
 #define __SI_RT		(5 << 16)
-#define __SI_CODE(T,N)	((T) << 16 | ((N) & 0xffff))
+#define __SI_CODE(T,N)	((T) | ((N) & 0xffff))
 #else
 #define __SI_KILL	0
 #define __SI_TIMER	0
Index: linux/include/asm-arm/siginfo.h
diff -u linux/include/asm-arm/siginfo.h:1.1.1.3 linux/include/asm-arm/siginfo.h:1.1.2.4
--- linux/include/asm-arm/siginfo.h:1.1.1.3	Tue Jun 27 19:31:43 2000
+++ linux/include/asm-arm/siginfo.h	Fri Jul 21 20:39:07 2000
@@ -85,7 +87,7 @@
 #define __SI_FAULT	(3 << 16)
 #define __SI_CHLD	(4 << 16)
 #define __SI_RT		(5 << 16)
-#define __SI_CODE(T,N)	((T) << 16 | ((N) & 0xffff))
+#define __SI_CODE(T,N)	((T) | ((N) & 0xffff))
 #else
 #define __SI_KILL	0
 #define __SI_TIMER	0
Index: linux/include/asm-i386/siginfo.h
diff -u linux/include/asm-i386/siginfo.h:1.1.1.3 linux/include/asm-i386/siginfo.h:1.1.2.4
--- linux/include/asm-i386/siginfo.h:1.1.1.3	Tue Jun 27 19:31:47 2000
+++ linux/include/asm-i386/siginfo.h	Fri Jul 21 20:39:08 2000
@@ -85,7 +87,7 @@
 #define __SI_FAULT	(3 << 16)
 #define __SI_CHLD	(4 << 16)
 #define __SI_RT		(5 << 16)
-#define __SI_CODE(T,N)	((T) << 16 | ((N) & 0xffff))
+#define __SI_CODE(T,N)	((T) | ((N) & 0xffff))
 #else
 #define __SI_KILL	0
 #define __SI_TIMER	0
Index: linux/include/asm-ia64/siginfo.h
diff -u linux/include/asm-ia64/siginfo.h:1.1.1.4 linux/include/asm-ia64/siginfo.h:1.1.4.5
--- linux/include/asm-ia64/siginfo.h:1.1.1.4	Tue Jun 27 19:32:12 2000
+++ linux/include/asm-ia64/siginfo.h	Fri Jul 21 20:39:08 2000
@@ -97,7 +99,7 @@
 #define __SI_FAULT	(3 << 16)
 #define __SI_CHLD	(4 << 16)
 #define __SI_RT		(5 << 16)
-#define __SI_CODE(T,N)	((T) << 16 | ((N) & 0xffff))
+#define __SI_CODE(T,N)	((T) | ((N) & 0xffff))
 #else
 #define __SI_KILL	0
 #define __SI_TIMER	0
Index: linux/include/asm-m68k/siginfo.h
diff -u linux/include/asm-m68k/siginfo.h:1.1.1.3 linux/include/asm-m68k/siginfo.h:1.1.2.4
--- linux/include/asm-m68k/siginfo.h:1.1.1.3	Tue Jun 27 19:31:49 2000
+++ linux/include/asm-m68k/siginfo.h	Fri Jul 21 20:39:08 2000
@@ -85,7 +87,7 @@
 #define __SI_FAULT	(3 << 16)
 #define __SI_CHLD	(4 << 16)
 #define __SI_RT		(5 << 16)
-#define __SI_CODE(T,N)	((T) << 16 | ((N) & 0xffff))
+#define __SI_CODE(T,N)	((T) | ((N) & 0xffff))
 #else
 #define __SI_KILL	0
 #define __SI_TIMER	0
Index: linux/include/asm-mips/siginfo.h
diff -u linux/include/asm-mips/siginfo.h:1.1.1.5 linux/include/asm-mips/siginfo.h:1.1.2.6
--- linux/include/asm-mips/siginfo.h:1.1.1.5	Tue Jun 27 19:31:51 2000
+++ linux/include/asm-mips/siginfo.h	Fri Jul 21 20:39:09 2000
@@ -105,7 +107,7 @@
 #define __SI_FAULT	(3 << 16)
 #define __SI_CHLD	(4 << 16)
 #define __SI_RT		(5 << 16)
-#define __SI_CODE(T,N)	((T) << 16 | ((N) & 0xffff))
+#define __SI_CODE(T,N)	((T) | ((N) & 0xffff))
 #else
 #define __SI_KILL	0
 #define __SI_TIMER	0
Index: linux/include/asm-mips/siginfo.h
diff -u linux/include/asm-mips/siginfo.h:1.1.1.5 linux/include/asm-mips/siginfo.h:1.1.2.6
--- linux/include/asm-mips/siginfo.h:1.1.1.5	Tue Jun 27 19:31:51 2000
+++ linux/include/asm-mips/siginfo.h	Fri Jul 21 20:39:09 2000
@@ -105,7 +107,7 @@
 #define __SI_FAULT	(3 << 16)
 #define __SI_CHLD	(4 << 16)
 #define __SI_RT		(5 << 16)
-#define __SI_CODE(T,N)	((T) << 16 | ((N) & 0xffff))
+#define __SI_CODE(T,N)	((T) | ((N) & 0xffff))
 #else
 #define __SI_KILL	0
 #define __SI_TIMER	0
Index: linux/include/asm-ppc/siginfo.h
diff -u linux/include/asm-ppc/siginfo.h:1.1.1.4 linux/include/asm-ppc/siginfo.h:1.1.2.4
--- linux/include/asm-ppc/siginfo.h:1.1.1.4	Tue Jun 27 19:31:53 2000
+++ linux/include/asm-ppc/siginfo.h	Fri Jul 21 20:39:10 2000
@@ -85,7 +87,7 @@
 #define __SI_FAULT	(3 << 16)
 #define __SI_CHLD	(4 << 16)
 #define __SI_RT		(5 << 16)
-#define __SI_CODE(T,N)	((T) << 16 | ((N) & 0xffff))
+#define __SI_CODE(T,N)	((T) | ((N) & 0xffff))
 #else
 #define __SI_KILL	0
 #define __SI_TIMER	0
Index: linux/include/asm-sh/siginfo.h
diff -u linux/include/asm-sh/siginfo.h:1.1.1.3 linux/include/asm-sh/siginfo.h:1.1.2.4
--- linux/include/asm-sh/siginfo.h:1.1.1.3	Tue Jun 27 19:31:54 2000
+++ linux/include/asm-sh/siginfo.h	Fri Jul 21 20:39:12 2000
@@ -85,7 +87,7 @@
 #define __SI_FAULT	(3 << 16)
 #define __SI_CHLD	(4 << 16)
 #define __SI_RT		(5 << 16)
-#define __SI_CODE(T,N)	((T) << 16 | ((N) & 0xffff))
+#define __SI_CODE(T,N)	((T) | ((N) & 0xffff))
 #else
 #define __SI_KILL	0
 #define __SI_TIMER	0
Index: linux/include/asm-sparc/siginfo.h
diff -u linux/include/asm-sparc/siginfo.h:1.1.1.4 linux/include/asm-sparc/siginfo.h:1.1.2.5
--- linux/include/asm-sparc/siginfo.h:1.1.1.4	Tue Jun 27 19:31:56 2000
+++ linux/include/asm-sparc/siginfo.h	Fri Jul 21 20:39:12 2000
@@ -89,7 +91,7 @@
 #define __SI_FAULT	(3 << 16)
 #define __SI_CHLD	(4 << 16)
 #define __SI_RT		(5 << 16)
-#define __SI_CODE(T,N)	((T) << 16 | ((N) & 0xffff))
+#define __SI_CODE(T,N)	((T) | ((N) & 0xffff))
 #else
 #define __SI_KILL	0
 #define __SI_TIMER	0
Index: linux/include/asm-sparc64/siginfo.h
diff -u linux/include/asm-sparc64/siginfo.h:1.1.1.4 linux/include/asm-sparc64/siginfo.h:1.1.2.5
--- linux/include/asm-sparc64/siginfo.h:1.1.1.4	Tue Jun 27 19:31:58 2000
+++ linux/include/asm-sparc64/siginfo.h	Fri Jul 21 20:39:13 2000
@@ -149,7 +152,7 @@
 #define __SI_FAULT	(3 << 16)
 #define __SI_CHLD	(4 << 16)
 #define __SI_RT		(5 << 16)
-#define __SI_CODE(T,N)	((T) << 16 | ((N) & 0xffff))
+#define __SI_CODE(T,N)	((T) | ((N) & 0xffff))
 #else
 #define __SI_KILL	0
 #define __SI_TIMER	0

